Get business entity
curl --request GET \
--url https://api.zenskar.com/business_entities/{entity_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/business_entities/{entity_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/business_entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_default": true,
"address": {
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"validation_status": "<string>"
},
"email": "<string>",
"phone_number": "<string>",
"tax_config": {},
"logo_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Business Entities
Get business entity
Fetch a business entity by its ID.
GET
/
business_entities
/
{entity_id}
Get business entity
Authorizations
Path Parameters
Response
Successful Response
Business Entity Response Schema
Business Entity ID
Business Entity Name
Business Entity default
Business Entity address
Show child attributes
Show child attributes
Business Entity email
Business Entity phone number
Business Entity tax config
Business Entity logo URL